netCDF::NcOpaqueType Class Reference

`#include <ncOpaqueType.h>`

Inheritance diagram for netCDF::NcOpaqueType:
[legend]

## Public Member Functions

size_t | getTypeSize () const
| NcOpaqueType ()
| NcOpaqueType (const NcGroup &grp, const std::string &name)
| NcOpaqueType (const NcOpaqueType &rhs)
| NcOpaqueType (const NcType &ncType)
NcOpaqueType & | operator= (const NcOpaqueType &rhs)
NcOpaqueType & | operator= (const NcType &rhs)
| ~NcOpaqueType ()
Public Member Functions inherited from netCDF::NcType
nc_type | getId () const
std::string | getName () const
netCDF::NcGroup | getParentGroup () const
size_t | getSize () const
ncType | getTypeClass () const
std::string | getTypeClassName () const
bool | isNull () const
| NcType ()
| NcType (const NcType &rhs)
| NcType (const netCDF::NcGroup &grp, const std::string &name)
| NcType (const netCDF::NcGroup &grp, nc_type id)
| NcType (nc_type id)
bool | operator!= (const NcType &) const
bool | operator== (const NcType &) const
virtual | ~NcType ()

## Additional Inherited Members

Public Types inherited from netCDF::NcType
enum | ncType { nc_BYTE = NC_BYTE , nc_CHAR = NC_CHAR , nc_SHORT = NC_SHORT , nc_INT = NC_INT , nc_FLOAT = NC_FLOAT , nc_DOUBLE = NC_DOUBLE , nc_UBYTE = NC_UBYTE , nc_USHORT = NC_USHORT , nc_UINT = NC_UINT , nc_INT64 = NC_INT64 , nc_UINT64 = NC_UINT64 , nc_STRING = NC_STRING , nc_VLEN = NC_VLEN , nc_OPAQUE = NC_OPAQUE , nc_ENUM = NC_ENUM , nc_COMPOUND = NC_COMPOUND }
Protected Member Functions inherited from netCDF::NcType
NcType & | operator= (const NcType &rhs)
Protected Attributes inherited from netCDF::NcType
int | g_fileId
int | groupId
nc_type | myId

## Detailed Description

Class represents a netCDF opaque type

## Constructor & Destructor Documentation

## NcOpaqueType() [1/4]

NcOpaqueType::NcOpaqueType | ( |  | ) |

Constructor generates a null object.

## NcOpaqueType() [2/4]

netCDF::NcOpaqueType::NcOpaqueType | ( | const NcGroup & | grp,
|  | const std::string & | name )

Constructor. The opaque Type must already exist in the netCDF file. New netCDF opaque types # can be added using NcGroup::addNcOpaqueType();

Parameters

  grp | The parent group where this type is defined.
  name | Name of new type.

## NcOpaqueType() [3/4]

NcOpaqueType::NcOpaqueType | ( | const NcType & | ncType | ) |

Constructor. Constructs from the base type NcType object. Will throw an exception if the NcType is not the base of a Opaque type.

Parameters

  ncType | A Nctype object.

## NcOpaqueType() [4/4]

NcOpaqueType::NcOpaqueType | ( | const NcOpaqueType & | rhs | ) |

The copy constructor.

## ~NcOpaqueType()

netCDF::NcOpaqueType::~NcOpaqueType | ( |  | ) |

inline

destructor

## Member Function Documentation

## getTypeSize()

size_t NcOpaqueType::getTypeSize | ( |  | ) | const

Returns the size of the opaque type in bytes.

## operator=() [1/2]

NcOpaqueType & NcOpaqueType::operator= | ( | const NcOpaqueType & | rhs | ) |

assignment operator

## operator=() [2/2]

NcOpaqueType & NcOpaqueType::operator= | ( | const NcType & | rhs | ) |

Assignment operator. This assigns from the base type NcType object. Will throw an exception if the NcType is not the base of an Opaque type.

The documentation for this class was generated from the following files:

- ncOpaqueType.h
- ncOpaqueType.cpp